/*
 *  Copyright (C) Chaperon. All rights reserved.                               
 *  ------------------------------------------------------------------------- 
 *  This software is published under the terms of the Apache Software License 
 *  version 1.1, a copy of which has been included  with this distribution in 
 *  the LICENSE file.                                                         
 */

package net.sourceforge.chaperon.grammar.token.definition;

import java.io.Serializable;
import java.util.Vector;

import net.sourceforge.chaperon.grammar.Grammar;
import net.sourceforge.chaperon.helpers.IntegerList;
import net.sourceforge.chaperon.parser.RegexAutomate;

/**
 * This class describes a regex "$" (End of line)
 *
 * @author Stephan Michels
 * @version $Revision: 1.2 $ $Date: 2002/05/06 16:22:56 $
 */
public class EndOfLine extends DefinitionElement implements Serializable, Cloneable
{

  public EndOfLine()
  {
  }

  /**
   * Convert the dot to a string
   *
   * @return Content of the alternation
   */
  public String toString()
  {
    return "$";
  }

  public Object clone() throws CloneNotSupportedException
  { 
    EndOfLine clone = new EndOfLine();
    
    clone.setMinOccurs(getMinOccurs());
    clone.setMaxOccurs(getMaxOccurs());
    
    return clone;
  }
}
